Bug 465734 - (CVE-2008-4408) CVE-2008-4408 mediawiki: XSS via the useskin parameter
CVE-2008-4408 mediawiki: XSS via the useskin parameter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=?,cwe=CWE-79[auto]
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 03:22 EDT by Tomas Hoger
Modified: 2016-03-04 06:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-08 09:58:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-06 03:22:48 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4408 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in MediaWiki 1.13.1, 1.12.0, and
possibly other versions before 1.13.2 allows remote attackers to inject
arbitrary web script or HTML via the useskin parameter to an unspecified
component.

References:
http://svn.wikimedia.org/svnroot/mediawiki/tags/REL1_13_2/phase3/RELEASE-NOTES
http://openwall.com/lists/oss-security/2008/10/02/3
Comment 1 Fedora Update System 2008-10-07 05:46:14 EDT
mediawiki-1.13.2-41.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2008-10-07 05:52:23 EDT
mediawiki-1.13.2-40.99.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Axel Thimm 2008-10-08 09:58:53 EDT
Why didn't bodhi close this automatically?
Comment 4 Tomas Hoger 2008-10-10 09:39:17 EDT
Because it treats bugs filed against 'Security Response' product in a special way.  Those bugs are used to track security issues across all "products", both Fedora and Red Hat products, so bodhi currently does not have a good way to know if there is still some product where this flaw needs to be addressed.  So it's intentional.
Comment 5 Red Hat Product Security 2008-10-10 09:39:55 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-8678
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8639

Note You need to log in before you can comment on or make changes to this bug.